Name:           copr-am-release
Version:        7
Release:        1%{?dist}
Summary:        Copr AMinasyan packages for Enterprise Linux repository configuration

Group:          System Environment/Base
License:        GPLv2

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            https://copr-be.cloud.fedoraproject.org/results/aminasyan/
Source0:        https://copr-be.cloud.fedoraproject.org/results/aminasyan/collection/pubkey.gpg
Source1:        GPL
Source2:        copr-am-collection.repo

BuildArch:     noarch
Requires:      redhat-release >=  %{version}

%description
This package contains the Copr AMinasyan Packages for Enterprise Linux
GPG key as well as configuration for yum.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-copr-am-collection

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2}  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*


%changelog
* Fri Jan 26 2018 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 7-1
- initial el7 build.

